<link rel="import" href="../../bower_components/polymer/polymer-element.html">

<link rel="import" href="../../bower_components/paper-dialog/paper-dialog.html">
<link rel="import" href="../../bower_components/paper-button/paper-button.html">
<link rel="import" href="../../bower_components/iron-icons/av-icons.html">

<dom-module id="dez-confirm-changes">
  <template>
    <style>
    </style>

    <paper-dialog id="changesWillBeLostDialog" entry-animation="fade-in-animation" exit-animation="fade-out-animation" with-backdrop>
      <h2><iron-icon icon="error-outline"></iron-icon> &nbsp; Your changes will be lost !</h2>
      <p>
        Use the &nbsp; <iron-icon icon="cloud-upload"></iron-icon> &nbsp; button to save your analysis on the server.
      </p>
      <div class="buttons">
        <paper-button dialog-confirm on-tap="_confirmAction">Confirm</paper-button>
        <paper-button dialog-dismiss autofocus>Cancel</paper-button>
      </div>
    </paper-dialog>

  </template>

  <script>

  class DezConfirmChanges extends Polymer.Element {

      static get is() { return 'dez-confirm-changes'; }

      open () {
        this.$.changesWillBeLostDialog.open()
      }

      _confirmAction () {
        this.dispatchEvent(new CustomEvent('action-confirmed'))
      }

  }

  window.customElements.define(DezConfirmChanges.is, DezConfirmChanges);

  </script>
</dom-module>
